#!/usr/bin/python3

from PyQt6.QtWidgets import QWidget, QFrame, QGridLayout
from .track_control import TrackControl
from .library_dock import LibraryDock


class MainContainer(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.layout = QGridLayout()
        self.setLayout(self.layout)

        self.track_control = TrackControl(self)
        self.layout.addWidget(self.track_control)

        self.track_control_separator_line = QFrame()
        self.track_control_separator_line.setFrameShape(QFrame.Shape.HLine)
        self.track_control_separator_line.setFrameShadow(QFrame.Shadow.Sunken)
        self.layout.addWidget(self.track_control_separator_line)

        self.library_dock = LibraryDock(self)
        self.layout.addWidget(self.library_dock)

